<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.example.chaoran"
    android:versionCode="1"
    android:versionName="V1.078" >

    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.GET_TASKS" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.VIBRATE" />

    <uses-feature android:name="android.hardware.camera" />
    <uses-feature android:name="android.hardware.camera.autofocus" />

    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.DISABLE_KEYGUARD" />
    <!-- <uses-permission android:name="android.permission.DEVICE_POWER" /> -->
<!--    <uses-permission android:name="android.permission.WRITE_SETTINGS" />-->
    <uses-permission android:name="android.permission.READ_SETTINGS" />

    <!-- 百度定位服务权限 -->
    <permission android:name="android.permission.BAIDU_LOCATION_SERVICE" >
    </permission>

    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" >
    </uses-permission>
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" >
    </uses-permission>
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" >
    </uses-permission>
    <uses-permission android:name="android.permission.READ_PHONE_STATE" >
    </uses-permission>
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" >
    </uses-permission>
<!--    <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" >-->
<!--    </uses-permission>-->
<!--    <uses-permission android:name="android.permission.READ_LOGS" >-->
<!--    </uses-permission>-->

    <!-- 百度地图API权限 -->
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" >
    </uses-permission>
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" >
    </uses-permission>
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" >
    </uses-permission>
    <uses-permission android:name="android.permission.READ_PHONE_STATE" >
    </uses-permission>
    
    <!--  -->
    <uses-permission android:name="com.honeywell.decode.permission.DECODE" />

    <application
        android:name="map.baidu.com.BMapManagerUtil"
        android:icon="@drawable/ic_launcher"
        android:label="@string/app_name"
        android:persistent="true"
        android:theme="@style/AppTheme" >
		<!-- <uses-library android:name="com.sprint.hardware.twinCamDevice" android:required="false"/> -->
        <uses-library android:name="android.scanner.library" android:required="false" />

        <activity
            android:name="com.example.chaoran.MainActivity"
            android:label="@string/title_activity_main"
            android:screenOrientation="behind" 
            android:configChanges="orientation|screenSize|keyboardHidden">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
				<category android:name="android.intent.category.HOME" />
				<category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.example.chaoran.NetWorkSet"
            android:label="@string/title_activity_net_work_set"
            android:screenOrientation="behind" >
        </activity>
        <activity
            android:name="com.example.chaoran.MenuActivity"
            android:label="@string/title_activity_menu"
            android:screenOrientation="behind" >
        </activity>
        <activity
            android:name="com.example.chaoran.DjActivity"
            android:label="@string/title_activity_dj"
            android:screenOrientation="behind" 
            android:launchMode="singleTask">
        </activity>
        <activity
            android:name="com.example.chaoran.ParamActivity"
            android:label="@string/title_activity_param"
            android:screenOrientation="behind" >
        </activity>
        <activity
            android:name="com.example.chaoran.DjtqActivity"
            android:label="@string/djtq_activity"
            android:screenOrientation="behind" >
        </activity>
        <activity
            android:name="com.example.chaoran.UpdatePwdActivity"
            android:label="@string/title_activity_update_pwd"
            android:screenOrientation="behind" >
        </activity>
        <!-- android:hardwareAccelerated="false"  android:hardwareAccelerated="false"  硬件加速3.0以上才有 -->
        <activity
            android:name="map.baidu.com.BDMapActivity"
            android:hardwareAccelerated="false"
            android:label="@string/title_activity_bdmap"
            android:screenOrientation="behind" >
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.baidu.mapapi.MapActivity" />
        </activity>

        <service
            android:name="com.baidu.location.f"
            android:enabled="true"
            android:process=":remote" >

            <!--
          		<intent-filter>
				<action android:name="com.baidu.location.service_v2.9"></action>
			</intent-filter>
            -->
        </service>

        <activity
            android:name="com.chaoran.lx.activity.DownDataActivity"
            android:label="@string/title_activity_down_data"
            android:screenOrientation="behind" >
        </activity>
        <activity
            android:name="com.chaoran.lx.activity.Lx_Param_Activity"
            android:label="@string/title_activity_lx__param_"
            android:screenOrientation="behind" >
        </activity>
        <activity
            android:name="com.example.chaoran.MipcaActivityCapture"
            android:label="@string/title_activity_camera_scan"
            android:screenOrientation="behind"
            android:windowSoftInputMode="stateAlwaysHidden" >
        </activity>
        <activity
            android:name="com.example.chaoran.PdaRegActivity"
            android:label="@string/title_activity_pda_reg" >
        </activity>
    </application>

</manifest>